GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
gdcm::network::CompositeMessageFactory Class Reference

CompositeMessageFactory This class constructs PDataPDUs, but that have been specifically constructed for the composite DICOM services (C-Echo, C-Find, C-Get, C-Move, and C-Store). It will also handle parsing the incoming data to determine which of the CompositePDUs the incoming data is, and so therefore allowing the scu to determine what to do with incoming data (if acting as a storescp server, for instance). More...

`#include <gdcmCompositeMessageFactory.h>`

## Static Public Member Functions

static std::vector < PresentationDataValue > | ConstructCEchoRQ (const ULConnection &inConnection)
static std::vector < PresentationDataValue > | ConstructCFindRQ (const ULConnection &inConnection, const BaseRootQuery *inRootQuery)
static std::vector < PresentationDataValue > | ConstructCMoveRQ (const ULConnection &inConnection, const BaseRootQuery *inRootQuery)
static std::vector < PresentationDataValue > | ConstructCStoreRQ (const ULConnection &inConnection, const File &file)
static std::vector < PresentationDataValue > | ConstructCStoreRSP (const DataSet *inDataSet, const BasePDU *inPC)

## Detailed Description

CompositeMessageFactory This class constructs PDataPDUs, but that have been specifically constructed for the composite DICOM services (C-Echo, C-Find, C-Get, C-Move, and C-Store). It will also handle parsing the incoming data to determine which of the CompositePDUs the incoming data is, and so therefore allowing the scu to determine what to do with incoming data (if acting as a storescp server, for instance).

## Member Function Documentation

static std::vector<PresentationDataValue> gdcm::network::CompositeMessageFactory::ConstructCEchoRQ | ( | const ULConnection & | inConnection | ) |

static

static std::vector<PresentationDataValue> gdcm::network::CompositeMessageFactory::ConstructCFindRQ | ( | const ULConnection & | inConnection,
|  | const BaseRootQuery * | inRootQuery
| ) |  |

static

static std::vector<PresentationDataValue> gdcm::network::CompositeMessageFactory::ConstructCMoveRQ | ( | const ULConnection & | inConnection,
|  | const BaseRootQuery * | inRootQuery
| ) |  |

static

static std::vector<PresentationDataValue> gdcm::network::CompositeMessageFactory::ConstructCStoreRQ | ( | const ULConnection & | inConnection,
|  | const File & | file
| ) |  |

static

static std::vector<PresentationDataValue> gdcm::network::CompositeMessageFactory::ConstructCStoreRSP | ( | const DataSet * | inDataSet,
|  | const BasePDU * | inPC
| ) |  |

static

The documentation for this class was generated from the following file:

- gdcmCompositeMessageFactory.h